Java für die Android-Entwicklung für Dummies welche Programme

3 Antworten

Du brauchst entweder Android Studio ( http://developer.android.com/sdk/index.html ) Oder die "alte" Android Eclipse SDK ( Der Download ist auf der Seite glaube ich auch noch irgendwo zu finden ) Dann brauchst du am besten noch den Android SDK Manager mit dem du dir z.B. Die GoogleMaps SDK Installieren kannst und das ganze automatisch in Gradle eingetragen wird. Ansonsten kannst du direkt mit diesen zwei Downloads starten ( Emulator ist glaube ich dabei, wenn du einen brauchst )

Hoffe ich konnte dir helfen LG :)

Vielen Dank. Habe nurnoch eine Frage ist von der Oberfläche Android Studios genauso wie das alte Eclipse? Ich bin Anfänger und habe noch nie zuvor programmiert deshalb arbeite ich 1:1 mit dem Buch dh. ich kann mich genau nach den Screenshots richten. Kann es sein dass ich dann bei Android Studios Probleme haben werde? Ach ja und Java brauch ich dann nicht?

0
@thomas0625

Nein, Android Studio sieht nicht wie Eclipse aus. AS wurde auf Basis der Entwicklungsumgebung IntelliJ entwickelt und hat demzufolgen Ähnlichkeiten mit dieser. Daher werden einige Einstellungen an einer anderen Stelle stehen bzw nicht vorhanden sein.

0

Also seit einer Weile ist die offizielle Umgebung für die Android Entwicklung Android Studio, das auf intellij IDEA basiert. Bei der Installation ist alles dabei, was du brauchst und ich empfehle auch die Verwendung von Android Studio, da es in einigen Dingen besser und v.a. wesentlich performanter ist, als Eclipse. Wenn du willst, kannst du aber natürlich immer noch Eclipse mit dem ADT plugin benutzen. Mehr Infos auf http://developer.android.com/tools/help/adt.html

Dazu muss man sich noch das Java JDK downloaden.

1

Ich habe des angefangen das Spiel "Hungry Burd", welches in dem Buch beschrieben wird zu programmieren. Allerdings erkennt Android Studios Befehle wie View, Animaton, Point , Bundle... nicht obwohl ich die nötigen Programme Android Studios, dessen SDKs aus dem SDK-Manager, Java 8 und Java se Development Kit 8 installiert habe. Brauche ich noch ein Programm?

0

Höchstwarscheinlich das Android-SDK.

Leider nicht. Man braucht noch eine bestimmte Eclipse Version, Java, Android-JDK(ich weiß nicht ob der mit Android Studio funktioniert) und dan muss des alles noch kompatibel sein.

0
@thomas0625

Ne. Du brauchst das Android-SDK. Eclipse hilft dir nur dabei. Es gibt aber viele Alternativen.

1

Was möchtest Du wissen?